Chanl

Evaluate Interaction

Trigger a scorecard evaluation for an interaction (call, chat, or messaging). The API runs scorecard criteria against the interaction transcript.

Request
curl -X POST "https://platform.chanl.ai/api/v1/scorecard-results/evaluate" \
  -H "X-API-Key: chanl_key_..." \
  -H "Content-Type: application/json" \
  -d '{
    "interactionId": "507f1f77bcf86cd799439011",
    "scorecardId": "507f1f77bcf86cd799439012"
  }'
import { Chanl } from '@chanl/sdk';

const chanl = new Chanl({ apiKey: process.env.CHANL_API_KEY });

const { data } = await chanl.scorecards.evaluate(interactionId, {
  scorecardId: 'scorecard_abc123',
});

console.log('Result ID:', data.resultId);
console.log('Status:', data.status);
import requests

response = requests.post(
    'https://platform.chanl.ai/api/v1/scorecard-results/evaluate',
    headers={'X-API-Key': api_key},
    json={
        'interactionId': interaction_id,
        'scorecardId': scorecard_id,
    },
)

data = response.json()['data']

Request body

FieldTypeRequiredDescription
interactionIdstringYesInteraction to evaluate
scorecardIdstringYesScorecard to apply
asyncbooleanNoQueue evaluation asynchronously
triggeredBystringNowebhook, endpoint, scenario, or manual

On this page